# 🚀 Laravel Vuexy Admin México Community

<p align="center">
    <a href="https://koneko.mx" target="_blank">
        <img src="https://git.koneko.mx/Koneko-ST/koneko-st/raw/branch/main/logo-images/horizontal-05.png" width="400" alt="Koneko Soluciones Tecnológicas Logo">
    </a>
</p>

<p align="center">
    <a href="https://koneko.mx"><img src="https://img.shields.io/badge/Website-koneko.mx-blue" alt="Sitio Web"></a>
    <a href="https://packagist.org/packages/koneko/laravel-vuexy-admin-mexico-community"><img src="https://img.shields.io/packagist/v/koneko/laravel-vuexy-admin-mexico-community" alt="Latest Stable Version"></a>
    <a href="https://packagist.org/packages/koneko/laravel-vuexy-admin-mexico-community"><img src="https://img.shields.io/packagist/l/koneko/laravel-vuexy-admin-mexico-community" alt="License"></a>
    <a href="https://git.koneko.mx/koneko"><img src="https://img.shields.io/badge/Git%20Server-Koneko%20Git-orange" alt="Servidor Git"></a>
    <a href="https://github.com/koneko-mx/laravel-vuexy-admin-mexico-community/actions/workflows/tests.yml"><img src="https://github.com/koneko-mx/laravel-vuexy-admin-mexico-community/actions/workflows/tests.yml/badge.svg" alt="Build Status"></a> 
    <a href="https://github.com/koneko-mx/laravel-vuexy-admin-mexico-community/issues"><img src="https://img.shields.io/github/issues/koneko/laravel-vuexy-admin-mexico-community" alt="Issues"></a> 
</p>

---

## 🏢 Sobre Nosotros

**Koneko Soluciones Tecnológicas** es una empresa desarrolladora de **software y hardware a la medida en México**. Proporcionamos servicios de **servidores en la nube y timbrado de CFDI**.

📩 **Contáctanos en Telegram:** [Arturo Corro](https://t.me/ArturoCorro)

---

## 📌 Laravel Vuexy Admin México Community

Este proyecto es una distribución **open-source** basada en **Laravel 11 y Vuexy Admin**, diseñada para las necesidades del mercado mexicano.

### ✨ Características Destacadas

✅ **Optimizado para México**: Integración con los catálogos oficiales del SAT (CFDI 4.0).
✅ **Interfaz moderna**: Basado en Vuexy Admin con soporte para dark mode.
✅ **RBAC avanzado**: Roles y permisos gestionados con Spatie Permissions.
✅ **Soporte para facturación**: Generación y validación de CFDI.
✅ **Gestión de almacenes y puntos de venta**.
✅ **Integración con geolocalización y tipos de cambio**.

---

## 🏗️ Módulos Disponibles

### **Administración y Core**
- 🔹 `laravel-vuexy-admin`
- 🔹 `laravel-vuexy-asset-management`

### **Gestión de Contactos y Datos Fiscales**
- 🔹 `laravel-vuexy-contacts`
- 🔹 `laravel-vuexy-sat-mass-downloader`

### **Gestión Empresarial y Logística**
- 🔹 `laravel-vuexy-store-manager`
- 🔹 `laravel-vuexy-warehouse`

### **Gestión de Sitios Web**
- 🔹 `laravel-vuexy-website-admin`
- 🔹 `laravel-vuexy-website-blog`
- 🔹 `laravel-vuexy-website-layout-porto`

---

## 🚀 Instalación Rápida

Puedes instalar Laravel Vuexy Admin México Community de dos maneras: con Composer o manualmente.

### 📦 Instalación con Composer (Recomendada)

```bash
composer create-project koneko/laravel-vuexy-admin-mexico-community
cd laravel-vuexy-admin-mexico-community
cp .env.example .env
php artisan key:generate
php artisan migrate --seed
npm install && npm run dev
php artisan serve
```

### 📂 Instalación Manual

```bash
git clone https://git.koneko.mx/Koneko-ST/laravel-vuexy-admin-mexico-community.git
cd laravel-vuexy-admin-mexico-community
composer install
npm install
cp .env.example .env
php artisan key:generate
php artisan migrate --seed
npm run dev
php artisan serve
```

---

## 🌎 Repositorio y Sincronización

Este repositorio es una **copia sincronizada** del repositorio principal alojado en **Tea - Koneko Git**.

- **Repositorio Principal:** [Tea Git - Koneko](https://git.koneko.mx/koneko/laravel-vuexy-admin-mexico-community)
- **Repositorio en GitHub:** [GitHub - Koneko](https://github.com/koneko-mx/laravel-vuexy-admin-mexico-community)
- **Los cambios pueden reflejarse primero en Tea antes de GitHub.**

⚠️ **Nota:** Para contribuir, recomendamos abrir issues o pull requests en Tea Git.

---

## ⚠️ Nota sobre Vuexy

Este proyecto está basado en **Vuexy Admin Template**, que es un **template premium** y **no está incluido en este repositorio** debido a su licencia comercial.

### 🎨 ¿Dónde obtener Vuexy?
Puedes adquirir una licencia válida en **[ThemeForest](https://themeforest.net/item/vuexy-bootstrap-admin-template/23328599)**.

---

## 🏅 Licencia

Este paquete es de código abierto bajo la licencia [MIT](LICENSE).

---

<p align="center">
    Hecho con ❤️ por <a href="https://koneko.mx">Koneko Soluciones Tecnológicas</a>
</p>

